enum EmploymentType {
  FULL_TIME
  PART_TIME
  ON_CALL
  CONTRACT
}

enum BackgroundCheckStatus {
  PENDING
  CLEARED
  FAILED
  EXPIRED
}

type Staff @table(name: "staffs") {
  id: UUID! @default(expr: "uuidV4()")
  employeeName: String!
  vendorId: UUID
  email: String
  position: String
  employmentType: EmploymentType!
  rating: Float
  reliabilityScore: Int
  backgroundCheckStatus: BackgroundCheckStatus!
  certifications: String
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid") 
}
